## org.eclipse.datatools.connectivity.oda.spec.valueexpr
Class ColumnValueExpression

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.ValueExpression
          org.eclipse.datatools.connectivity.oda.spec.valueexpr.AtomicValueExpression
              org.eclipse.datatools.connectivity.oda.spec.valueexpr.ColumnValueExpression

    public class ColumnValueExpression

extends AtomicValueExpression

A concrete value expression whose value is based on that of a referenced result set column.
An ODA driver that implements the ODA dynamicResultSet extension point must support this type of expressions defined in a `QuerySpecification`.

Since:
  3.2.2 (DTP 1.7.2)

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.oda.spec.ValueExpression
`UNKNOWN_ODA_DATA_TYPE`

Constructor Summary
`ColumnValueExpression(ColumnIdentifier columnRef)`

Method Summary
`java.lang.String` `getColumnExpression()` Gets the referenced column name or expression.
`java.lang.Integer` `getColumnNumber()` Gets the referenced column number, if specified.
`ColumnIdentifier` `getColumnReference()` Gets the column reference of this value expression.
`java.lang.String` `getName()` Gets the name of this value expression type.
`ExpressionVariable.VariableType` `getVariableType()` Returns the type of expression.
`java.lang.String` `toString()`
`void` `validateSyntax(ValidationContext context)` Performs syntactic validation of this expression in the specified context.

Methods inherited from class org.eclipse.datatools.connectivity.oda.spec.ValueExpression
`getOdaDataType, getQualifiedId, setOdaDataType, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColumnValueExpression

    public ColumnValueExpression(ColumnIdentifier columnRef)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `ValueExpression`
  Gets the name of this value expression type. It may be used to identify this in user messages or logging.

  Overrides:
    `getName` in class `ValueExpression`
  Returns:
    name of this value expression

### getVariableType

    public ExpressionVariable.VariableType getVariableType()

  Description copied from class: `ValueExpression`
  Returns the type of expression.

  Overrides:
    `getVariableType` in class `ValueExpression`
  Returns:

### getColumnNumber

    public java.lang.Integer getColumnNumber()

  Gets the referenced column number, if specified.

  Returns:
    column number, or null if not specified

### getColumnExpression

    public java.lang.String getColumnExpression()

  Gets the referenced column name or expression.

  Returns:
    column name or expression

### getColumnReference

    public ColumnIdentifier getColumnReference()

  Gets the column reference of this value expression.

  Returns:

### validateSyntax

    public void validateSyntax(ValidationContext context)
                        throws OdaException

  Description copied from class: `ValueExpression`
  Performs syntactic validation of this expression in the specified context.

  Specified by:
    `validateSyntax` in class `ValueExpression`
  Parameters:
    `context` - context for validation; may be null which would limit the scope of validation
  Throws:
    `OdaException` - if validation failed. The concrete cause is defined by the subclass implementing this method.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ValueExpression`